apiVersion: v1
kind: Service
metadata:
  name: cmii-mysql
  namespace: xtgt
  labels:
    app.kubernetes.io/name: mysql-db
    helm.sh/chart: mysql-db-8.8.1
    app.kubernetes.io/release: xtgt
    app.kubernetes.io/managed-by: mysql-db
    cmii.type: middleware
    cmii.app: mysql
    app.kubernetes.io/component: primary
  annotations:
spec:
  type: ClusterIP
  ports:
    - name: mysql
      port: 13306
      protocol: TCP
      targetPort: mysql
      nodePort: null
  selector:
    app.kubernetes.io/name: mysql-db
    app.kubernetes.io/release: xtgt
    cmii.type: middleware
    cmii.app: mysql
    app.kubernetes.io/component: primary